<div type="text/ng-template" id="ModelQueryDeviceCode.html">
    <div class="modal-body modal-query-device ">
        <div class="row">
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title">请输入条件</div>
                    <div class="">
                        <div class="chat-users-device">
                            <div class="chat-user-scroll-device">
                                <div class="public-horizon-form">
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4"><span class="text-red">*</span>生产区域：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <!--config.currentWorkCenter.workCenter ||-->
                                                    <span ng-bind="config.currentWorkCenter.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">拉线：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select multiple class="andon-content-ui-select" ng-change="lineChanged($select);" ng-model="config.currentLine">
                                                <ui-select-match placeholder="- 请选择 - 可多选">
                                                    <!--config.currentLine.workCenter ||-->
                                                    <span ng-bind="$item.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">
                                                        <span ng-if="!config.currentWorkCenter.workCenter" ng-click="tipSelectClick('line');" class="no-action-color">请先选择生产区域</span>
                                                        <span ng-if="config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>
                                                    </a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.lines | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">设备类型：</label>
                                        <div class="horizon-group horizon-col-8">

                                            <ui-select  class="andon-content-ui-select" ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <!--config.currentDeviceType.workCenter ||-->
                                                    <span ng-bind="config.currentDeviceType.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">
                                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                    </a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.deviceTypes | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>

                                    </div>
                                    <!--<div class="public-horizon">-->
                                        <!--<label class="horizon-label label-4">设备编码：</label>-->
                                        <!--<div class="horizon-group horizon-col-8">-->

                                            <!--<input type="text"  class="form-control" placeholder="请输入" ng-model="config.deviceCode" ng-change="lineChanged()"/>-->
                                        <!--</div>-->
                                    <!--</div>-->
                                    <div class="public-horizon flex-center">
                                        <div class="horizon-btns ">
                                            <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.query">查询</button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-sm-7">
                <!--<div class="chat-group">-->
                    <div class="chat-user-title">查询后的结果</div>
                    <!--<div class="">-->
                        <!--<div class="chat-users">-->
                            <div ui-grid="gridModalQueryManager" class="myLittleGrid" ui-grid-edit ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns ui-grid-auto-resize></div>
                        <!--</div>-->
                    </div>
                <!--</div>-->
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <!--<button class="btn btn-primary" type="button" ng-click="ok()" ng-disabled="config.confirmBtn">确定</button>-->
        <!--<button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>-->
        <div class="col-sm-6 col-xs-6 flex-center">
            <button class="btn btn-primary" type="button" ng-click="ok()" ng-disabled="config.confirmBtn">确定</button>
        </div>
        <div class="col-sm-6 col-xs-6 flex-center">
            <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
        </div>
    </div>
</div>